Bug 64573 - Double quotes deadkey not working on us_intl XKB setup
Double quotes deadkey not working on us_intl XKB setup
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: 65430 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-05-08 01:06 EDT by martim
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-30 03:48:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X server config file (14.10 KB, text/plain)
2002-05-18 11:16 EDT, martim
no flags Details
XFree86 configuration file (2.34 KB, text/plain)
2002-05-19 07:45 EDT, Josi Romildo Malaquias
no flags Details
XFree86 log file (29.73 KB, text/plain)
2002-05-19 07:48 EDT, Josi Romildo Malaquias
no flags Details

  None (edit)
Description martim 2002-05-08 01:06:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
I am using a Microsoft Natural Keyboard and the us_intl XKB map, under RedHat's
7.3 KDE 3.0. The problem is that when I press the double-quote key, and then the
spacebar key, instead of a double quote sign, I get a simple diaeresis (not
sure,at least it is what it looks like). All the other dead-keys corresponding
to the same key work just fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Enter the KDE Control Center
2.Head to the Keyboard Section
3.Chose US English w/ deadkeys as your layout.
4.Click the apply button
5.Open a kterm window
6.Try to output a double quote as described in the description.

Actual Results:  The double quote does not appear.

Expected Results:  The double quote should have not appeared

Additional info:

Keyboard: Microsoft Natural Keyboard
KDE 3.0

PS: I am using the us_intl map to get brazilian accentuation, since my kerboard
in not ABNT2
Comment 1 Josi Romildo Malaquias 2002-05-09 06:31:09 EDT
I have the same problem with my setup (from /etc/X11/XF86Config-4):

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules"      "xfree86"
        Option      "XkbModel"      "microsoft"
        Option      "XkbLayout"     "us_intl"

I currently use IceWM to manage windows on the desktop. But it is not dependent
on the window manager.
Comment 2 Mike A. Harris 2002-05-17 22:51:46 EDT
I'm not sure if this is a KDE issue or an X issue, so I've Cc'd Bero
as well.  Please attach X server log and config file using link below.
Comment 3 martim 2002-05-18 11:16:48 EDT
Created attachment 57844 [details]
X server config file
Comment 4 Josi Romildo Malaquias 2002-05-19 07:45:35 EDT
Created attachment 57904 [details]
XFree86 configuration file
Comment 5 Josi Romildo Malaquias 2002-05-19 07:48:18 EDT
Created attachment 57905 [details]
XFree86 log file
Comment 6 Josi Romildo Malaquias 2002-05-19 08:16:49 EDT
I think it can not be a KDE issue, as I am not normally running KDE. It happens
with whatever window manager/desktop I use: GNOME, KDE and icewm are the ones I
have tried.
Comment 7 Arthur Bispo de Castro 2002-05-28 17:26:30 EDT

add the lines below in /usr/X11R6/lib/X11/locale/iso8859-15/Compose

<dead_diaeresis> <space>                : "\""  quotedbl
<dead_diaeresis> <dead_diaeresis>       : "\""  quotedbl
Comment 8 Mike A. Harris 2002-05-30 03:47:35 EDT
*** Bug 65430 has been marked as a duplicate of this bug. ***
Comment 9 Mike A. Harris 2002-05-30 03:48:46 EDT
Added a fix for this to 4.2.0-50.11, please test, and change bug status
to CLOSED->RAWHIDE if it works, or ASSIGNED if not.

Note You need to log in before you can comment on or make changes to this bug.